// Boja.java - Boja se predstavlja mesavinom crvene, zelene i
//             plave boje u opsegu od 0 do 1.

package figure;

public class Boja {

  private double c;
  private double z;
  private double p;
  
  public Boja(double c, double z, double p) 
    throws GNijeBoja {
    if (c<0 || c>1 || z<0 || z>1 || p<0 ||p>1)
      throw new GNijeBoja ();
    this.c = c; this.z = z; this.p = p;
  }
  
  public Boja() { c = z = p = 1; }
  
  public double c() { return c; }
  
  public double z() { return z; }
  
  public double p() { return p; }
  
  public Boja kopija () {
    try { return new Boja(c, z, p); }
      catch (GNijeBoja g) { return null; }
  }

} // class Boja