// Srednja.java - Pracenje srednje vrednosti generisanih
//                pseudoslucajnih brojeva.

package slucajni;

public class Srednja extends Statistika {

  private int n;
  private double s;

  public void azuriraj(Subjekat subj) {
    double x = ((Generator)subj).vrednost();
    s += x; n++;
    obavesti ();
  }
   
  public void ispocetka() { s = n = 0; obavesti (); }
  
  public String toString () {
    return (n!=0) ? ""+(s/n) : "";
  }

} // class Srednja
