// Figura.java - Abstraktna klasa za Figure.

package figure;

public abstract class Figura {

  private static int ukId = 0;
  private int id = ++ukId;
  protected Boja boja;

  public Figura(Boja b) { this.boja = boja; }

  public Figura() { boja = new Boja(); }

  public int id() { return id; }
  
  public Boja boja() { return boja; }
  
  public Boja boja(Tacka T) throws GTackaNePripada {
    if (! pripada (T)) throw new GTackaNePripada ();
    return boja;
  }

  public abstract Figura kopija();
 
  public abstract boolean pripada(Tacka T);
  
  public abstract double P();
  
  // Podrazumevanje radnje za proste Figure.
  
  public void dodaj(Figura fig) throws GNijeCrtez 
    { throw new GNijeCrtez (); }

  public Figura dohvati(int ind) throws GNijeCrtez, GIndeks 
    { throw new GNijeCrtez ();  }

  public void brisi(int ind) throws GNijeCrtez, GIndeks
    { throw new GNijeCrtez (); }
   
  public int brojFigura() { return 0; }
   
  public Iterator iterator() { return new PrazanIterator (this); }

} // class Figura