// Krug.java - Prosta Figura za krugove u ravni.

package figure;

public class Krug extends Figura {

  private double r;
  private Tacka C;
   
  public Krug(Boja boja, double r, Tacka C)
    { super(boja); this.r = r; this.C = C; }

  public Krug(double r, Tacka C) 
    { this (new Boja(), r, C); }
  
  public Krug(Boja boja) 
    { this (boja, 1, new Tacka(0,0)); }
  
  public Krug() 
    { this (new Boja(), 1, new Tacka(0,0)); }
  
  public Krug(Boja boja, Tacka C)  { this (boja, 1, C); }
   
  public double r() { return r; }
  
  public Tacka C()  { return C; }

  public Figura kopija() 
    { return new Krug (boja.kopija(), r, C.kopija()); }
   
  public boolean pripada(Tacka T) { return C.d(T) <= r; }
  
  public double P() { return 4 * r * r * Math.PI; }

} // class Krug