// Generator.java - Generator dogadjaja (pseudoslucajnih
//                  brojeva po odabranoj raspodeli).

package slucajni;

public class Generator extends Subjekat implements Runnable {

  private Slucajni rasp;
  private Thread nit;
  private boolean radi = false, gotovo = false;
  private double vrednost;
   
  public Generator() {
    rasp = new Uniformni ();
    nit = new Thread (this); nit.start();
  }
   
  public synchronized void kreni() {
    radi = true;
    notify();
  }
   
  public void stani() { radi = false; }

  public void zavrsi () { gotovo = true; }
  
  public void raspodela(Slucajni rasp) { this.rasp = rasp; } 
   
  public void run() {
    while (! gotovo) {
      synchronized (this) {
        while (! radi)
          try { wait (); }
            catch (InterruptedException g) {}
      }
    if (gotovo) break;
      vrednost = rasp.slBroj ();
      obavesti ();
      try { nit.sleep (5); }
        catch (InterruptedException g) {}
    }
  }
  
  public double vrednost () { return vrednost; }
  
} // class Generator
