// Min.java - Pracenje najmanje vrednosti generisanih
//            slucajnih brojeva.

package slucajni;

public class Min extends Statistika {

  private double min = Double.MAX_VALUE;
   
  public void azuriraj(Subjekat subj) {
    double x = ((Generator)subj).vrednost();
    if (x < min) min = x;
    obavesti ();
  }
   
  public void ispocetka() { min = Double.MAX_VALUE; obavesti(); }
   
  public String toString () { return min!=Double.MAX_VALUE ?
                                     ""+min : ""; }
  
} // class Min
